package models

import (
   // "gorm.io/gorm"

	"go-admin/common/models"
)

type OrgTeam struct {
    models.Model
    
    ClubId string `json:"clubId" gorm:"type:int(11);comment:org_club表id"` 
    TeamName string `json:"teamName" gorm:"type:varchar(255);comment:球队名称"` 
    models.ModelTime
    models.ControlBy
}

func (OrgTeam) TableName() string {
    return "org_team"
}

func (e *OrgTeam) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *OrgTeam) GetId() interface{} {
	return e.Id
}